<?php
/**
 * Theme functions file
 */

/**
 * Enqueue parent theme styles first
 * Replaces previous method using @import
 * <http://codex.wordpress.org/Child_Themes>
 */

function taskup_theme_enqueue_styles() {
	$parent_theme_version = wp_get_theme('taskup');
	$child_theme_version  = wp_get_theme('taskup-child');
	
	$styles	= array( 'bootstrap');
	
    $parent_style = 'taskup-style';
  	wp_enqueue_style( 'taskup-child-styles', get_stylesheet_directory_uri() . '/style.css', array( $parent_style ),$child_theme_version->get('Version'));
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css',$styles,$parent_theme_version->get('Version'));
	
	wp_enqueue_style( 'taskup-child-customization', get_stylesheet_directory_uri() . '/css/all.css', '',$child_theme_version->get('Version'));
	wp_enqueue_script('taskup-child-js', get_stylesheet_directory_uri() . '/js/all.js', array(), $child_theme_version->get('Version'), true);
}

add_action( 'wp_enqueue_scripts', 'taskup_theme_enqueue_styles' );


//load text domain
function taskup_child_theme_locale() {
    load_child_theme_textdomain( 'taskup-child', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'taskup_child_theme_locale' );